/* Resetování výchozích stylů */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Nastavení fontu */
@font-face {
  font-family: 'sen';
  src: url('sen.ttf');
}

/* Obecné styly pro celou stránku */
body {
  font-family: 'sen', sans-serif;
  background-color: #f2f2f2;
  position: relative;
}

/* Kontejner pro obsah */
#box {
  width: 100%;
  height: auto;
}

/* Záhlaví */
#header {
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #ffffff;
  padding: 20px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.logo {
  display: flex;
  justify-content: center;
  align-items: center;
}

.logo img {
  max-width: 200px;
  height: auto;
  transition: transform 0.3s ease;
}

.logo:hover img {
  transform: scale(1.1);
}

nav ul {
  list-style-type: none;
  display: flex;
}

nav ul li {
  margin: 0 15px;
}

nav ul li a {
  font-family: 'sen', sans-serif;
  font-weight: bold;
  text-decoration: none;
  color: #333;
  font-size: 20px;
  padding: 10px 15px;
  border-radius: 5px;
  transition: 0.3s ease;
}

nav ul li a:hover {
  background-color: #ddd;
}

.search {
  display: flex;
  align-items: center;
  position: relative;
}

.search input[type="text"] {
  padding: 10px;
  border-radius: 5px;
  border: 1px solid #ccc;
  width: 300px;
  margin-right: 10px;
}

.search button {
  padding: 10px 20px;
  border: none;
  background-color: #333;
  color: #fff;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.search button:hover {
  background-color: #555;
}

.user-options {
  position: absolute;
  top: 20px;
  right: 20px;
  display: flex;
}

.user-options a {
  font-family: 'sen', sans-serif;
  text-decoration: none;
  color: #333;
  font-size: 16px;
  padding: 8px 12px;
  border: 2px solid #333;
  border-radius: 5px;
  transition: 0.3s ease;
  margin-left: 10px;
}

.user-options a:hover {
  background-color: #333;
  color: #fff;
}

/* Styly pro nadpis */
.nadpis {
  text-align: center;
  font-size: 50px;
}
.payment-form {
  background-color: #f9f9f9;
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  margin: 5px auto;
  width: 1000px;
}

.payment-form h2 {
  margin-bottom: 20px;
}

.payment-form form {
  display: flex;
  flex-direction: column;
}

.form-row {
  display: flex;
  justify-content: space-between;
  margin-bottom: 10px;
}

.form-column {
  flex: 1;
  margin-right: 10px;
}

.form-column:last-child {
  margin-right: 0;
}

.payment-form label {
  margin-bottom: 5px;
  color: #444; /* Upraveno na tmavě šedou */
}

.payment-form input {
  padding: 10px;
  border-radius: 5px;
  border: 1px solid #ccc;
}

.payment-form button {
  padding: 12px 24px;
  background-color: #333;
  color: #fff;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.payment-form button:hover {
  background-color: #555;
}




/* Styly pro newsletter */
.newsletter-container {
  background-color: #333;
  color: #fff;
  padding: 50px;
}

.newsletter-section {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.newsletter-text {
  flex: 1;
  max-width: 400px;
}

.newsletter-form {
  flex: 1;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

.newsletter-section h4 {
  font-size: 24px;
  margin-bottom: 20px;
}

.newsletter-section p {
  font-size: 16px;
  line-height: 1.5;
}

form {
  display: flex;
  align-items: center;
}

label {
  display: none;
}

input {
  padding: 12px;
  border: none;
  border-radius: 5px;
  width: 250px;
  margin-right: 10px;
}

button {
  padding: 12px 24px;
  background-color: #fff;
  color: #333;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  margin-left: 10px;
}

button:hover {
  background-color: #555;
}

/* Styly pro patičku */
.footer-container {
  background-color: #222;
  color: #fff;
  padding: 50px;
  font-size: 15px
}

.footer-section {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
  margin-bottom: 30px;
}

.about-converse,
.support,
.contact-us {
  flex-basis: calc(33.33% - 20px);
  margin: 10px;
}

.about-converse h1,
.support h1,
.contact-us h1 {
  font-size: 20px;
  margin-bottom: 10px;
}

.additional-links {
  display: flex;
  justify-content: flex-start;
  flex-wrap: wrap;
}

.additional-links h1 {
  font-size: 20px;
  margin-bottom: 10px;
  margin-right: 20px;
}

.additional-links p {
  margin-right: 20px;
}

.additional-links a {
  color: #fff;
  text-decoration: none;
  transition: color 0.3s;
}

.additional-links a:hover {
  color: #bbb;
}

/* Čára */
.cara {
  width: 100%;
  height: 1px;
  background-color: #ccc;
  margin: 5px 0;
}